Skip to main content
POST
SearchJobPostings

Authorizations

Authorization
string
header
required

Personal API key, sent as Authorization: Bearer <key>.

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Example:

1

Connect-Timeout-Ms
number

Define the timeout, in ms

Example:

1000

Body

application/json

request for searching job postings

organizationId
string<uuid>

id of the organization in which job postings will be searched.

query
string

query to search for

Maximum string length: 128
page
string<int64>

page of search results to return

careerSiteId
string<uuid> | null

id of the career site in which job postings will be searched.

perPage
string<int64>

nr of items per page

languagesIso6393
string[]

languages in iso 639-3 format.

Required string length: 3
states
enum<string>[]

possible states of a job posting.

state of a job posting

Available options:
JOB_POSTING_STATE_UNSPECIFIED,
JOB_POSTING_STATE_OPEN,
JOB_POSTING_STATE_CLOSED
filterByAssigneeIds
string<uuid>[]

filter on job postings assigned to one of these member ids.

Maximum array length: 5
filterByPipelineIds
string<uuid>[]

filter on job postings belonging to one of these pipeline ids.

Maximum array length: 5
filterByNoAssignees
boolean

filter on job postings that have no assigned members.

slot1FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot2FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot3FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot4FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot5FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot6FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot7FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot8FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot9FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

slot10FilterValue
string<uuid>[]

filter on job postings matching any value for the filter on this slot.

enable_hybrid_search will make searching smarter by understanding meaning, but it is slower.

hybrid search is enabled by default, it can be toggled off.

Response

Success

response from searching job postings

items
Item · object[]

search results

totalFound
string<int64>

total number of search results

totalPages
string<int64>

total number of pages for all results

currentPage
string<int64>

current page in the search results